commit:     b9772e7815ebaf01357380e9625ebf1893e2805e
Author:     sin-ack <sin-ack <AT> protonmail <DOT> com>
AuthorDate: Thu Mar 12 09:21:56 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 12 11:17:06 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9772e78

x11-terms/ghostty-terminfo: depend on either zig-bin or source build

Bug: https://bugs.gentoo.org/971106
Signed-off-by: sin-ack <sin-ack <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/45922
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-terms/ghostty-terminfo/ghostty-terminfo-1.3.0.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/x11-terms/ghostty-terminfo/ghostty-terminfo-1.3.0.ebuild 
b/x11-terms/ghostty-terminfo/ghostty-terminfo-1.3.0.ebuild
index 25cd014f5d1c..30e5288a8dc7 100644
--- a/x11-terms/ghostty-terminfo/ghostty-terminfo-1.3.0.ebuild
+++ b/x11-terms/ghostty-terminfo/ghostty-terminfo-1.3.0.ebuild
@@ -68,7 +68,10 @@ RDEPEND="
 "
 BDEPEND="
        sys-libs/ncurses
-       >=dev-lang/zig-0.15.2
+       || (
+               >=dev-lang/zig-bin-0.15.2
+               >=dev-lang/zig-0.15.2
+       )
 "
 
 PATCHES=(

Reply via email to